#
# spec file for package tecla-keyboard-layout-viewer
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           tecla-keyboard-layout-viewer
Version:        45.0
Release:        150600.2.1
Summary:        A keyboard layout viewer
License:        GPL-2.0-only
URL:            https://gitlab.gnome.org/GNOME/tecla
Source:         https://download.gnome.org/sources/tecla/45/tecla-%{version}.tar.xz
# PATCH-FIX-UPSTREAM tecla-handle-TeclaModel-constructor-returning-NULL.patch bsc#1220208 qzhao@suse.com -- Handle TeclaModel constructor possibly returning NULL.
Patch0:         tecla-handle-TeclaModel-constructor-returning-NULL.patch
# PATCH-FIX-UPSTREAM tecla-return-NULL-if-no-xkb_keymap.patch bsc#1220208 qzhao@suse.com -- Return NULL if no xkb_keymap could be created to avoid tecla crash.
Patch1:         tecla-return-NULL-if-no-xkb_keymap.patch
BuildRequires:  c_compiler
BuildRequires:  meson
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(gtk4)
BuildRequires:  pkgconfig(gtk4-wayland)
BuildRequires:  pkgconfig(wayland-client)
BuildRequires:  pkgconfig(libadwaita-1) >= 1.4
BuildRequires:  pkgconfig(xkbcommon)

%description
%{summary} from the GNOME project.

%lang_package

%prep
%autosetup -p1 -n tecla-%{version}

%build
%meson
%meson_build

%install
%meson_install
%find_lang tecla %{?no_lang_C}

%files
%license LICENSE
%doc NEWS README.md
%{_bindir}/tecla
%{_datadir}/applications/org.gnome.Tecla.desktop
%{_datadir}/icons/hicolor/scalable/apps/org.gnome.Tecla.svg
%{_datadir}/icons/hicolor/symbolic/apps/org.gnome.Tecla-symbolic.svg
%{_datadir}/pkgconfig/tecla.pc

%files lang -f tecla.lang

%changelog
* Mon Mar 25 2024 qzhao@suse.com
- Add tecla-return-NULL-if-no-xkb_keymap.patch:
  Backporting d6760195 from upstream, Fix tecla crash in Czech(QWERTY)
  keyboard in SLE. avoid to return NULL if no xkb_keymap could be
  created due to does not know about the given name/variant.
  (bsc#1220208)
* Mon Mar 25 2024 qzhao@suse.com
- Add tecla-handle-TeclaModel-constructor-returning-NULL.patch:
  Backporting 931112ae from upstream, Fix tecla crash in Czech(QWERTY)
  keyboard in SLE. This might be the case if an unknown keymap name
  is passed as a commandline argument. We ATM just show a window with
  empty keys.
  (bsc#1220208)
* Sat Sep 16 2023 bjorn.lie@gmail.com
- Update to version 45.0:
  + Added shortcuts to exit the dialog
  + Fix UI in RTL environments
  + Fix a11y initialization
  + Updated translations.
* Wed Sep  6 2023 luc14n0@opensuse.org
- Update to version 45.rc:
  + Handle 105 key layouts.
  + Handle keymap variants in commandline arguments.
  + Fix overeager keymap listener overriding commandline arguments.
  + Fix included license.
  + Updated translations.
- Update GPL-3.0-only License tag to GPL-2.0-only following
  upstream amend.
* Fri Aug 11 2023 bjorn.lie@gmail.com
- Update to version 45.beta:
  + Updated translations.
- Add lang package macro, package the translations now available.
* Sat Jul 22 2023 bjorn.lie@gmail.com
- Initial release.
